Gruppen · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/groups
Gruppen mit Profilanzahl
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppen mit Profilanzahl",
"tags": [
"Gruppen"
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/groups
Gruppe anlegen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"remark": {
"type": [
"string",
"null"
],
"maxLength": 1000
},
"color": {
"type": [
"string",
"null"
],
"maxLength": 32
},
"sort_order": {
"type": "integer"
},
"pinned": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppe anlegen",
"tags": [
"Gruppen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"remark": {
"type": [
"string",
"null"
],
"maxLength": 1000
},
"color": {
"type": [
"string",
"null"
],
"maxLength": 32
},
"sort_order": {
"type": "integer"
},
"pinned": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/groups/order
Reihenfolge aller Gruppen speichern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 20000,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Reihenfolge aller Gruppen speichern",
"tags": [
"Gruppen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 20000,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/groups/{id}
Gruppe abrufen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppe abrufen",
"tags": [
"Gruppen"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PATCH /api/v1/groups/{id}
Gruppe ändern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"remark": {
"type": [
"string",
"null"
],
"maxLength": 1000
},
"color": {
"type": [
"string",
"null"
],
"maxLength": 32
},
"sort_order": {
"type": "integer"
},
"pinned": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppe ändern",
"tags": [
"Gruppen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"remark": {
"type": [
"string",
"null"
],
"maxLength": 1000
},
"color": {
"type": [
"string",
"null"
],
"maxLength": 32
},
"sort_order": {
"type": "integer"
},
"pinned": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"accounts_enabled",
"account_count",
"browser_defaults",
"id",
"name",
"remark",
"color",
"sort_order",
"is_default",
"pinned",
"compat_group_id",
"profile_count",
"created_at",
"updated_at",
"row_version"
],
"properties": {
"accounts_enabled": {
"type": "boolean"
},
"account_count": {
"type": "integer"
},
"browser_defaults": {
"type": "object",
"properties": {
"browser_options": {
"type": "object",
"properties": {
"block_images": {
"type": "boolean"
},
"block_video": {
"type": "boolean"
},
"block_audio": {
"type": "boolean"
},
"block_notifications": {
"type": "boolean"
},
"block_password_view": {
"type": "boolean"
},
"block_password_save": {
"type": "boolean"
},
"block_extension_pages": {
"type": "boolean"
},
"block_translation": {
"type": "boolean"
},
"block_devtools": {
"type": "boolean"
},
"local_network": {
"type": "object",
"required": [
"blocked",
"allowed_ports"
],
"properties": {
"blocked": {
"type": "boolean"
},
"allowed_ports": {
"type": "string",
"maxLength": 1536
}
},
"additionalProperties": false
},
"taskbar_icon": {
"anyOf": [
{
"type": "string",
"minLength": 50,
"maxLength": 393216
},
{
"type": "null"
}
]
},
"ui_language": {
"anyOf": [
{
"type": "string",
"minLength": 2,
"maxLength": 35
},
{
"type": "null"
}
]
},
"tls_cipher_blocklist": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 256
},
{
"type": "null"
}
]
},
"secure_dns": {
"anyOf": [
{
"type": "object",
"required": [
"mode"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"off"
]
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"mode",
"server"
],
"properties": {
"mode": {
"type": "string",
"enum": [
"secure"
]
},
"server": {
"type": "string",
"minLength": 9,
"maxLength": 2048
}
},
"additionalProperties": false
}
]
}
},
"additionalProperties": false
},
"startup": {
"type": "object",
"required": [
"mode",
"urls"
],
"properties": {
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"new_tab"
]
},
{
"type": "string",
"enum": [
"last_tabs"
]
},
{
"type": "string",
"enum": [
"urls"
]
},
{
"type": "string",
"enum": [
"last_and_urls"
]
}
]
},
"urls": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 20
}
},
"additionalProperties": false
},
"launch_args": {
"type": "object",
"properties": {
"chromium": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
},
"firefox": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"maxItems": 100
}
},
"additionalProperties": false
},
"extension_sets": {
"type": "object",
"properties": {
"chromium": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"firefox": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 1000
}
},
"additionalProperties": false
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"remark": {
"type": [
"null",
"string"
]
},
"color": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"is_default": {
"type": "boolean"
},
"pinned": {
"type": "boolean"
},
"compat_group_id": {
"type": [
"null",
"string"
]
},
"profile_count": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
},
"row_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/groups/{id}
Gruppe löschen; Profile werden verschoben oder in den Papierkorb gelegt, nie endgültig gelöscht
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
mode | query | Nein | |
target_group_id | query | Nein | |
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"move_to_default"
]
},
{
"type": "string",
"enum": [
"move_to_group"
]
},
{
"type": "string",
"enum": [
"trash_profiles"
]
}
]
},
"in": "query",
"name": "mode",
"required": false
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "target_group_id",
"required": false
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"moved",
"trashed"
],
"properties": {
"moved": {
"type": "integer"
},
"trashed": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppe löschen; Profile werden verschoben oder in den Papierkorb gelegt, nie endgültig gelöscht",
"tags": [
"Gruppen"
],
"parameters": [
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"move_to_default"
]
},
{
"type": "string",
"enum": [
"move_to_group"
]
},
{
"type": "string",
"enum": [
"trash_profiles"
]
}
]
},
"in": "query",
"name": "mode",
"required": false
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "target_group_id",
"required": false
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"moved",
"trashed"
],
"properties": {
"moved": {
"type": "integer"
},
"trashed": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}